/**
 * Theme Name: Blocksy Child
 * Description: Blocksy Child theme
 * Author: Creative Themes
 * Template: blocksy
 * Text Domain: blocksy
 */


/* skempisty 28.09.2025 GTranslate w menu */

.gtranslate_main_menu 
.gtranslate_wrapper{
	position:relative !important;
}
.gtranslate_main_menu 
.gt_option{
	position:absolute !important;
	top:32px;
	background:#fafafa22 !important;
	backdrop-filter:blur(6px);
}
.gtranslate_main_menu .gt_switcher{
	width:100% !important;
}
.gtranslate_main_menu .gt_option a{
	color: white !important;
	text-transform:uppercase;
	letter-spacing:0.2px;
}
.gtranslate_main_menu
.gt_option a:hover,
.gtranslate_main_menu .gt_selected,
.gtranslate_main_menu .gt_selected a:hover{
	background:#fafafa22 !important;
	color:white !important;
}

.gtranslate_main_menu .gt_selected a{
	color: white !important;
	text-transform:uppercase;
	letter-spacing:0.2px;
}
.gtranslate_main_menu a:after{
	filter:brightness(0) invert(1) !important;
}
.gtranslate_main_menu .gt_switcher .gt_selected a {
    padding: 7px 4px;
    border: 2px solid white !important;
}
.gtranslate_main_menu .gt_switcher .gt_option{
	border: 2px solid white !important;
}

header div[data-sticky*="yes"] .gtranslate_main_menu .gt_switcher .gt_selected a {
	border: 2px solid #666 !important;
}
header div[data-sticky*="yes"] .gtranslate_main_menu .gt_option a:hover,
header div[data-sticky*="yes"]  .gtranslate_main_menu .gt_selected,
header div[data-sticky*="yes"] .gtranslate_main_menu .gt_selected a:hover{
	background:#fafafa11 !important;
	color:red !important;
}
header div[data-sticky*="yes"] .gtranslate_main_menu a:after{
	filter:brightness(0) invert(0.5) !important;
}
header div[data-sticky*="yes"] .gtranslate_main_menu .gt_option{
	background:#fafafadd !important;
	backdrop-filter:blur(6px);
}
header div[data-sticky*="yes"] .gtranslate_main_menu .gt_selected a{
	color: #111 !important;
}
header div[data-sticky*="yes"] .gtranslate_main_menu .gt_option a{
	color: #111 !important;
}
header div[data-sticky*="yes"] .gtranslate_main_menu .gt_switcher .gt_option{
	border: 2px solid #666 !important;
}

/* SKEMPISTY POPRAWKA DO LAYOUTU MENU DESKTOP */

@media (min-width:1000px){
	header#header [data-row*=middle]{
		display:inline-flex;
		width:100%;
	}
	header#header .ct-container{
		display:inline-flex;
		justify-content: space-between;
	}
}

@media (min-width:1000px) and (max-width:1220px){
	header#header .ct-container .site-branding img {
		max-width: 76px;
	}
	header#header .ct-container .gt_switcher *{
		font-size:12px;
	}
	header#header .ct-container .gt_switcher .gt_selected a{
		max-width:120px;
	}
	header#header .ct-container .gt_switcher .gt_option{
		max-width:130px;
	}
	[data-header*="type-1"] .ct-header [data-id="menu"] > ul > li > a{
		font-size:14px;
		--theme-font-size:14px;
	}
	[data-header*="type-1"] .ct-header [data-id="button"] .ct-button-ghost{
		--theme-button-min-height: 34px;
		--theme-button-padding: 4px 16px;
		font-size:14px;
	}
}


@media (min-width:1000px) and (max-width:1050px){
	[data-header*="type-1"] .ct-header [data-id="menu"] > ul > li > a{
		padding:0 8px;
	}
	
}